﻿@model eCommerce.UI.ViewModels.Shop.ShopViewModel
@using eCommerce.UI.Utils
@{
    ViewBag.Title = Model.Category != null ? Model.Category.Name : "Shop";
}

<div class="shop">

    <input type="hidden" class="js-pagesize" value="@Model.PageSize" />

    @if (Model.productList.Any())
    {
        <input type="hidden" class="js-category" value="@Model.productList.FirstOrDefault().category.SeoUrl" />
        <input type="hidden" class="js-product-load-counter" value="1" />
        <input type="hidden" class="js-color" value="@Model.ColorId" />
        <input type="hidden" class="js-sort" value="@Model.Sort" />
        <input type="hidden" class="js-total-count" value="@Model.TotalProductCount" />
    }

    @{ Html.RenderAction("ShopHeader", "Modules", new { Shop = Model }); }

    @{ Html.RenderAction("ShopContent", "Modules", new { Shop = Model }); }

</div>

<div class="popout js-product-popup js-popup-quickview popout-quickview">
    <div class="loader"><div></div><div></div><div></div><div></div></div>
    <div class="popout__content">
    </div>
    <div class="popout__close">&times;</div>
</div>

@*prueba filtro Revisar porque no funciona bien *@
@*<div class="breadcrumb js-filter-popup hidden">
        <div class="popout__content">
            @if (Model.colorList.Count() > 0)
            {
                <div class="popout__section">
                    <span class="filter__name">Color</span>
                    <div class="color__list">
                        @foreach (var color in Model.colorList)
                        {
                            <div class="color__item" data-color-id="@color.ColorId">
                                <div class="info">
                                    <span class="filter__ball-container" data-color="@color.ColorId">
                                        <span class="filter__ball js-filter-color" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(color.Description == "Blanco" ? "border:1px solid #000;" : string.Empty)"></span>
                                    </span>
                                </div>
                            </div>
                        }
                    </div>
                </div>
            }

            <div class="popout__section">
                <span class="js-apply-filter apply-filter">Aplicar</span>
            </div>
        </div>
        <div class="popout__close">&times;</div>
    </div>*@
@*prueba filtro*@

<div class="popout filter-popout js-filter-popup">
    <div class="popout__content">
        <div class="popout__section title">
            <img src="~/Content/icons/Icono-filtros.png" style="display:inline-block"/> Filtros
        </div>
        

        @if (Model.colorList.Count() > 0)
        {
            <div class="popout__section">
                <span class="filter__name">Color</span>
                <div class="color__list">
                    @foreach (var color in Model.colorList)
                    {
                        <div class="color__item" data-color-id="@color.ColorId">
                            <div class="info">
                                <span class="filter__ball-container" data-color="@color.ColorId">
                                    <span class="filter__ball js-filter-color" style="background-image:url(@Utility.ImgUrl/Colors/@color.ColorId/@color.ColorThumb); @(color.Description == "Blanco" ? "border:1px solid #000;" : string.Empty)"></span>
                                </span>
                            </div>
                        </div>
                    }
                </div>
            </div>
        }

        <div class="popout__section">
            <span class="filter__name">Categoría</span>
            <div class="filter_category">
                @foreach (var cat in Model.categoryList)
                {
                    <div>
                        <span></span>
                        <a href="/shop/@cat.SeoUrl">@cat.Name</a>
                    </div>
                }
            </div>
        </div>

        <div class="popout__section">
            <span class="filter__name">Precio</span>
            <div class=filter__pricing>
                <div class="filter__input-group">
                    <span class="filter__input-help">$</span>
                    <input type="text" class="js-min-price" placeholder="Desde" />
                </div>
                <div class="filter__input-group">
                    <span class="filter__input-help">$</span>
                    <input type="text" class="js-max-price" placeholder="Hasta" />
                </div>
            </div>
        </div>

        <div class="popout__section" style="border-bottom: none;">
            <span class="js-apply-filter apply-filter">Aplicar</span>
        </div>
    </div>
    <div class="popout__close">&times;</div>
</div>

@*@if (Model.isBuscar)
    {
        <div class="popout filter-popout js-filter-search-popup">
            <div class="popout__content">
                <div class="popout__section title">
                    <i class="fa fa-filter" aria-hidden="true" style="margin-top:-5px;margin-right:5px;"></i> Filtros
                </div>
                @if (Model.categoryListToFilter.Count() > 0)
                {
                    <div class="popout__section">
                        <span class="filter__name">Categorias</span>
                        <div class="brand__list">
                            @foreach (var category in Model.categoryListToFilter)
                        {
                                <div class="brand__item" data-category-id="@category.CategoryId">
                                    <div class="info">
                                        <label for="brand-@category.CategoryId" name="brandcheck" class="brand__check">
                                            <input type="checkbox" name="brand-selector" class="js-brand" id="brand-@category.CategoryId" data-brand-id="@category.CategoryId" style="display:none;" />
                                        </label>
                                        <span class="brand__name">@category.Name</span>

                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                }
                <div class="popout__section">
                    <span class="js-apply-search-filter apply-filter">Aplicar</span>
                </div>
            </div>
            <div class="popout__close">&times;</div>
        </div>
    }*@



<div class="popout js-product-popup js-popup-wishlist">
    <div class="popout__content">
        <div class="loader"><div></div><div></div><div></div><div></div></div>
    </div>
    <div class="popout__close">&times;</div>
</div>

<div class="popout js-product-popup js-quickview">
    <div class="popout__content">
        <div class="loader"><div></div><div></div><div></div><div></div></div>
    </div>
    <div class="popout__close">&times;</div>
</div>

<div class="popout js-product-popup js-popup-sizeguide">
    <div class="popout__content">
        <div class="sizeguide-container">
            <img src="" />
        </div>
    </div>
    <div class="popout__close">&times;</div>
</div>

@section Scripts{

    <script src="/content/assets/js/nouislider.min.js"></script>

    <script>

        $(document).ready(function () {
            var pathArray = window.location.href.split('?');
            if (pathArray.length > 1) {
                $('#btnSacarFiltro').removeClass('hide');
            }


            $('.js-product-slider').slick({
                fade: true,
                arrows: false,
            });


            //LoadRowSize();
            //LoadFilter();
            LoadActiveCategory();
            ProductItemEvents();

            if ($(window).width() <= 768) {
                checkWhatsapp();
            }


            var sort = $.query.get('sort');
            if (sort != "")
                $('.js-filter-sort[value=' + sort + ']').attr('checked', true);

            var color = $.query.get('color');
            $('.js-filter-color[data-color=' + color + ']').addClass('filter__ball--active');

            var size = $.query.get('size');
            $('.js-filter-size[data-size=' + size + ']').addClass('active');

            UpdateProductLinks();

            //var slider = $('.js-price-slider')[0];

            @*noUiSlider.create(slider, {
                start: [0, @Model.MaxProductPrice],
                connect: true,
                range: {
                    'min': 0,
                    'max': @(Model.MaxProductPrice > 0 ? Model.MaxProductPrice : 1),
                }
            });*@

            //var snapValues = [
            //    document.getElementById('slider-snap-value-lower'),
            //    document.getElementById('slider-snap-value-upper')
            //];

            //slider.noUiSlider.on('update', function (values, handle) {
            //    snapValues[handle].innerHTML = "$" + values[handle];
            //});

            //slider.noUiSlider.on('change', function () {
            //    var amounts = slider.noUiSlider.get();

            //    var url = location.search;
            //    url = UpdateUrlParameter(url, 'priceStart', amounts[0]);
            //    url = UpdateUrlParameter(url, 'priceEnd', amounts[1]);
            //    location.search = url;
            //});

            //var priceStart = $.query.get('priceStart');
            //if (priceStart != "")
            //    slider.noUiSlider.set([priceStart, null]);

            //var priceEnd = $.query.get('priceEnd');
            //if (priceEnd != "")
            //    slider.noUiSlider.set([null, priceEnd]);
        });

        $('body').on('click', '#guiatalles', function () {
            var $popup = $('.js-popup-sizeguide');

            ToggleModal($popup);
        });

        $('body').on('click', '.js-quickview-image', function () {

            debugger;
            var imagesrc = $(this).find('.js-image').attr('src');

            $('.quickview__image').find('img').attr('src', imagesrc);

            //ToggleModal($popup);
        });

        function ProductItemEvents() {

            $('.js-product-color').unbind().click(function () {
                var colorId = $(this).data('colorId');
                var $slider = $(this).closest('.js-product-item').find('.js-product-slider');

                var index = -1;
                var counter = 0;
                $slider.find('.product-image__slide').each(function () {
                    if ($(this).data('colorId') == colorId) {
                        index = counter;
                    }
                    counter++;
                });

                if (index == -1) return;
                $slider.slick('slickGoTo', index);
            });

            $('.js-quickview').unbind().click(function () {
                debugger;
                var id = $(this).data('product');

                var $popup = $('.js-popup-quickview');

                $popup.find('.loader').removeClass('hidden');
                $popup.find('.popout__content').addClass('hidden');

                ToggleModal($popup);

                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/ShoppingCart/QuickViewModal",
                    data: { id: id },
                    success: function (data) {
                        $popup.find('.loader').addClass('hidden');
                        $popup.find('.popout__content').removeClass('hidden');
                        $popup.find('.popout__content').html(data);
                        QuickViewEvents();
                        $('.js-quickview-colors .quickview__color-ball:eq(0)').click();
                        $('.js-quickview-sizes .quickview__size-item-container:eq(0)').click();
                    }
                });

                //$.ajax({
                //    type: "GET",
                //    cache: false,
                //    url: "/ShoppingCart/SizeTableTypeImageUrl",
                //    data: { ProductId: id },
                //    success: function (data) {
                //        debugger;
                //        var $popupsizeguide = $('.js-popup-sizeguide');
                //        $popupsizeguide.find('.popout__content').find('.sizeguide-container').find('img').attr('src', data);
                //    }
                //});

            });

            $('.js-wishlist').unbind().click(function () {
                debugger;
                var id = $(this).data('product');
                debugger;
                var $popup = $('.js-popup-wishlist');

                $popup.find('.loader').removeClass('hidden');
                $popup.find('.popout__content').addClass('hidden');

                ToggleModal($popup);

                $.ajax({
                    type: "GET",
                    cache: false,
                    url: "/ShoppingCart/WishlistModal",
                    data: { id: id },
                    success: function (data) {
                        $popup.find('.loader').addClass('hidden');
                        $popup.find('.popout__content').removeClass('hidden');
                        $popup.find('.popout__content').html(data);
                        WishlistEvents();
                    }
                });
            });
        }

        //$(".wish-item").hover(function () {
        //    $(this).find(".js-sinFavorito").css("display", "none");
        //    $(this).find(".js-conFavorito").css("display", "block");
        //}, function () {
        //    $(this).find(".js-sinFavorito").css("display", "block");
        //    $(this).find(".js-conFavorito").css("display", "none");
        //})

        $('.js-brand').change(function () {
            var elem = $(this).parent();
            var checked = $(this).is(':checked');
            elem.toggleClass('brand__check-active', checked);
        });

        $('.js-popup-filter').click(function () {
            $('body').addClass('m--popout');
            $('body').addClass('m--filters');
        });

        $('.js-popup-filter-close').click(function () {
            $('body').removeClass('m--popout');
            $('body').removeClass('m--filters');
        });
        //Prueba Filtro
        $('.js-filter-selector').click(function () {

            var $popup = $('.js-filter-popup');

            ToggleModal($popup);

            //$popup.find('.popout__content').removeClass('hidden');

        });

        //Prueba Filtro
        $('.js-filter-search-selector').click(function () {

            var $popup = $('.js-filter-search-popup');

            ToggleModal($popup);

            //$popup.find('.popout__content').removeClass('hidden');

        });
        //Prueba Filtro
        function LoadActiveCategory() {
            //var category = $('.js-category').val();
            var categorySeo = window.location.pathname.split("/").pop();
            $('[data-seo="' + categorySeo + '"]').addClass('filter__list-item--active');
        }

        function LoadRowSize() {
            var defaultRowSize = 4;
            var rowSize = defaultRowSize;

            var localRowSize = localStorage.getItem('rowSize');
            if (localRowSize != null) rowSize = localRowSize;

            ChangeRowSize(rowSize);
        }

        function LoadFilter() {
            var filterClosed = localStorage.getItem('filterOpen') === "true";

            if (!filterClosed) {
                var $filter = $('.js-filter');
                var $toggle = $('.js-toggle-filter');

                $filter.toggleClass('hidden');
                $toggle.toggleClass('hidden');
            }

            // Recalculate items width
            $('.js-product-slider').slick('setPosition');
        }

        function UpdateProductLinks() {
            var query = $.query.toString();
            var category = $('.js-category').val();

            if (category == null)
                return false;

            query = $.query.set('ref-category', category).toString();

            $('.product-image__slide > a').each(function () {
                var url = $(this).attr('href');
                if (url.toString().indexOf('?ref-category') == -1) {
                    url = url + query;
                }
                $(this).attr('href', url);
            });

            $('.product-item__title').each(function () {
                var url = $(this).attr('href');
                if (url.toString().indexOf('?ref-category') == -1) {
                    url = url + query;
                }
                $(this).attr('href', url);
            });
        }


        function checkWhatsapp() {
            $('.green-whatsapp').css('display', 'flex');
        }

        $('.js-row-size').click(function () {
            var $list = $('.js-shop-list');
            var size = $(this).data('size');

            ChangeRowSize(size);
        });


       

        function ChangeRowSize(size) {
            var $list = $('.js-shop-list');
            if ($list.hasClass('shop-list--' + size)) return;

            $('.js-row-size').removeClass('sort__item--active');
            $('.js-row-size[data-size=' + size + ']').addClass('sort__item--active');

            $list[0].className = $list[0].className.replace(/ shop-list--\w*\s*/g, "");
            $list.addClass('shop-list--' + size);

            // Recalculate items width
            $('.js-product-slider').slick('setPosition');

            // Save it in local storage
            localStorage.setItem('rowSize', size);
        }

        $('.js-toggle-section').click(function () {
            var $section = $(this).closest('.filter__section--hideable').find('.js-filters');
            var $toggle = $(this);

            $section.toggleClass('hidden');
            $toggle.toggleClass('icon--toggle');
        });


        $('.js-toggle-filter').click(function () {
            var $filter = $('.js-filter');
            var $toggle = $('.js-toggle-filter');

            $filter.toggleClass('hidden');
            $toggle.toggleClass('hidden');

            var filterOpen = !$filter.hasClass('hidden');

            // Recalculate items width
            $('.js-product-slider').slick('setPosition');

            // Save it in local storage
            localStorage.setItem('filterOpen', filterOpen);
        });

        //$('.js-filter-color').click(function () {
        //    var colorId = $(this).data('color');
        //    UpdateUrl('color', colorId);
        //});

        $('.js-filter-color').click(function () {
            //var colorId = $(this).data('color');
            //UpdateUrl('color', colorId);
            $(this).parent().toggleClass('filter__ball-container-active');
        });

        $('.js-filter-size').click(function () {
            var sizeId = $(this).data('size');
            UpdateUrl('size', sizeId);
        });

        $('.js-filter-sort').change(function () {
            var sort = $(this).val();
            UpdateUrl('sort', sort);
        });


        $('body').on('click', '.js-apply-filter', function () {
            debugger;
            var sizeArray = [];
            var colorArray = [];
            var minPrice;
            var maxPrice;
            $("input[name='brand-selector']:checked").each(function () {
                sizeArray.push($(this).data('brand-id'));
            });


            $('.filter__ball-container-active').each(function () {
                colorArray.push($(this).data('color'));
            });

            minPrice = $('.js-min-price').val();
            maxPrice = $('.js-max-price').val();


            var url = "";
            if (sizeArray.length > 0) {
                url = urlPush(url, 'talle', sizeArray);
            }
            if (colorArray.length > 0) {
                url = urlPush(url, 'color', colorArray);
            }
            if (minPrice != "") {
                url = urlPush(url, 'desde', minPrice);
            }
            if (maxPrice != "") {
                url = urlPush(url, 'hasta', maxPrice);
            }


            location.search = url;
        });

        $('body').on('click', '.js-apply-search-filter', function () {
            debugger;
            var categoryArray = [];
            $("input[name='brand-selector']:checked").each(function () {
                categoryArray.push($(this).data('brand-id'));
            });

            var url = "";
            if (categoryArray.length > 0) {
                url = urlPushSearch(url, 'categoria', categoryArray);
            }

            window.location.href = window.location.href + url;
        });


        function urlPushSearch(url, parameterName, parameterValue) {
            debugger;
            url = url + '&' + parameterName + '=' + parameterValue;
            return url;
        }


        function urlPush(url, parameterName, parameterValue) {
            debugger;
            if (url.toString().indexOf('?') == -1) {
                url = url + '?' + parameterName + '=' + parameterValue;
            }
            else {
                url = url + '&' + parameterName + '=' + parameterValue;
            }
            return url;
        }

        function UpdateUrl(parameter, value) {
            var query = location.search;
            query = $.query.set(parameter, value).toString();
            location.search = query;
        }

        function UpdateUrlParameter(url, param, paramVal, concat) {
            concat = concat || false;
            var newAdditionalURL = "";
            var tempArray = url.split("?");
            var baseURL = tempArray[0];
            var additionalURL = tempArray[1];
            var temp = "";
            if (additionalURL) {
                tempArray = additionalURL.split("&");
                for (var i = 0; i < tempArray.length; i++) {
                    if (tempArray[i].split('=')[0] != param) {
                        newAdditionalURL += temp + tempArray[i];
                        temp = "&";
                    } else if (concat) {
                        if (!tempArray[i].split('=')[1].includes(paramVal)) {
                            paramVal = tempArray[i].split('=')[1] + ',' + paramVal;
                        }
                    }
                }
            }

            var rows_txt = temp + "" + param + "=" + paramVal;
            return baseURL + "?" + newAdditionalURL + rows_txt;
        }

        $('body').on('click', '.share', function () {
            $(this).find('.compartir').toggleClass('hide');
        });

        //$('body').on('mouseleave', '.js-quickview', function () {

        //    $(this).html(
        //                    '<span class="add">' +
        //                        'Agregar al carrito' +
        //                    '</span>'
        //                );
        //});

        //$('body').on('click', '.js-quick-add', function () {
        //    debugger;
        //    var $addToCart = $(this).closest('.js-add-to-cart');
        //    var productId = $addToCart.data('productid');
        //    $.ajax({
        //        url: "/ShoppingCart/GetColors",
        //        dataType: "json",
        //        data: { ProductId: productId },
        //        success: function (data) {
        //            var isColor = true;
        //            var html = getElemsHtml(data.colors, isColor);
        //            $addToCart.html(html);

        //        }
        //    });
        //});


        //$('body').on('click', '.js-color', function () {
        //    debugger;
        //    var $addToCart = $(this).closest('.js-add-to-cart');
        //    var productId = $addToCart.data('productid');
        //    var colorId = $(this).data('id');
        //    $.ajax({
        //        url: "/ShoppingCart/GetSize",
        //        dataType: "json",
        //        data: { ProductId: productId, ColorId: colorId },
        //        success: function (data) {
        //            var isColor = false;
        //            var html = '<input class="js-selected-color-id" type="hidden" value="' + colorId + '" />';
        //            html += getElemsHtml(data.sizes, isColor);
        //            $addToCart.html(html);

        //        }
        //    });
        //});

        //$('body').on('click', '.js-size', function () {
        //    debugger;
        //    var $addToCart = $(this).closest('.js-add-to-cart');
        //    var productId = $addToCart.data('productid');
        //    var colorId = $addToCart.find('.js-selected-color-id').val();
        //    var sizeId = $(this).data('id');
        //    var cantidad = 1;
        //    $.ajax({
        //        type: "POST",
        //        cache: false,
        //        url: "/ShoppingCart/Validate",
        //        data: { idProducto: productId, SizeId: sizeId, ColorId: colorId, cantidad: cantidad },
        //        success: function (data) {

        //            if (!data.IsApproved) {
        //                toastr.warning(data.Message);
        //            }

        //            if (data.IsApproved) {
        //                $.ajax({
        //                    url: "/ShoppingCart/AddOrderDetail",
        //                    dataType: "json",
        //                    data: { idProducto: productId, SizeId: sizeId, ColorId: colorId, cantidad: cantidad, sumar: true },
        //                    success: function (result) {
        //                        updateCart(result.TotalItemsCount);
        //                        $addToCart.html(
        //                                    '<span class="success">' +
        //                                                    'Hecho!' +
        //                                    '</span>'
        //                                    );
        //                        GetCartModal();
        //                        showCartModal();
        //                        setTimeout(function () {
        //                            $addToCart.html(
        //                                            '<span class="js-quick-add add">' +
        //                                                'Agregar al carrito' +
        //                                            '</span>'
        //                                        );
        //                            hideCartModal();
        //                        }, 4000);

        //                    }
        //                });
        //            }
        //        }
        //    });
        //});


        //function getElemsHtml(elems, isColor) {
        //    html = '<span class="title">' + (isColor ? 'Seleccioná tu color' : 'Seleccioná tu talle') + '</span>'
        //    html += '<div class="add-to-cart__elems">';
        //    $.each(elems, function (index, elem) {
        //        html += getElemHtml(elem, isColor);
        //    });
        //    html += '</div>'
        //    return html;
        //}

        //function getElemHtml(elem, isColor) {
        //    return (
        //                '<div class="add-to-cart__elems__elem ' + (isColor ? '--color js-color' : '--size js-size') + '" data-id="' + elem.Id + '">' +
        //                    (isColor ? ('<img src="' + elem.Name + '" />') : elem.Name) +
        //                '</div>'
        //           );
        //}

        function QuickViewEvents() {
            var $popup = $('.js-popup-quickview');

            $('.js-quickview-colors .quickview__color-ball').unbind().click(function () {
                $('.js-quickview-colors .color-ball-container').each(function () {
                    $(this).removeClass('color-ball-container--selected');
                });

                $(this).closest('.color-ball-container').addClass('color-ball-container--selected');
            });

            $('.js-quickview-sizes .quickview__size-item-container').unbind().click(function () {
                $('.js-quickview-sizes .quickview__size-item-container').each(function () {
                    $(this).removeClass('quickview__size-item-container--selected');
                });

                $(this).closest('.quickview__size-item-container').addClass('quickview__size-item-container--selected');
            });


            $('.js-quickview-add').unbind().click(function () {
                var product = $('.js-quickview-product').val();
                //var size = $('.js-quickview-size').val();
                var size = $('.quickview__size-item-container--selected').find('.quickview__size-item').data('size');
                var color = $('.color-ball-container--selected').find('.quickview__color-ball').data('color');
                var quantity = $('.js-quickview-quantity').val();
                if (quantity == undefined) {
                    quantity = 1;
                }

                if (size == null) {
                    toastr.warning('Seleccioná un talle.');
                    return false;
                }

                if (color == null) {
                    toastr.warning('Seleccioná un color.');
                    return false;
                }

                $popup.find('.loader').removeClass('hidden');
                $popup.find('.popout__content').addClass('hidden');

                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/ShoppingCart/Validate",
                    data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity },
                    success: function (data) {
                        if (!data.IsApproved) {
                            $popup.find('.loader').addClass('hidden');
                            $popup.find('.popout__content').removeClass('hidden');
                            toastr.warning(data.Message);
                        }

                        if (data.IsApproved) {
                            $.ajax({
                                url: "/ShoppingCart/AddOrderDetail",
                                dataType: "json",
                                data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity, sumar: true },
                                success: function (result) {
                                    ToggleModal($popup);
                                    $popup.find('.loader').addClass('hidden');
                                    $popup.find('.popout__content').removeClass('hidden');
                                    updateCart(result.TotalItemsCount);
                                    updateCartSlideout();
                                    toastr.success("Hecho! Agregaste el producto a tu compra.");
                                }
                            });
                        }
                    }
                });
            });
        };




        function WishlistEvents() {
            var $popup = $('.js-popup-wishlist');

            $('.js-quickview-colors .quickview__color-ball').unbind().click(function () {
                $('.js-quickview-colors .quickview__color-ball').each(function () {
                    $(this).removeClass('quickview__color-ball--selected');
                });

                $(this).addClass('quickview__color-ball--selected');
            });

            $('.js-quickview-add').unbind().click(function () {
                var product = $('.js-quickview-product').val();
                var size = $('.js-quickview-size').val();
                var color = $('.js-quickview-colors .quickview__color-ball--selected').first().data('color');
                var quantity = $('.js-quickview-quantity').val();

                if (size == null) {
                    toastr.warning('Seleccioná un talle.');
                    return false;
                }

                if (color == null) {
                    toastr.warning('Seleccioná un color.');
                    return false;
                }

                $popup.find('.loader').removeClass('hidden');
                $popup.find('.popout__content').addClass('hidden');

                $.ajax({
                    type: "POST",
                    cache: false,
                    url: "/ShoppingCart/ValidateWishlistItem",
                    data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity },
                    success: function (data) {
                        if (!data.IsApproved) {
                            $popup.find('.loader').addClass('hidden');
                            $popup.find('.popout__content').removeClass('hidden');
                            toastr.warning(data.Message);
                        }

                        if (data.IsApproved) {
                            $.ajax({
                                url: "@Url.Action("AddWishlistItem", "ShoppingCart")",
                                dataType: "json",
                                data: { idProducto: product, SizeId: size, ColorId: color, cantidad: quantity, sumar: true },
                                success: function (result) {
                                    ToggleModal($popup);
                                    $popup.find('.loader').addClass('hidden');
                                    $popup.find('.popout__content').removeClass('hidden');
                                    updateWishlistCount(result.Count);
                                    toastr.success("Hecho! Agregaste el producto a tu wishlist.");
                                }
                            });
                        }
                    }
                });
            });
        };

        //$(document).on('scroll', function () {
        //    if (window.innerWidth > 1024) {
        //        var scroll = $(this).scrollTop();

        //        //var threshold = $('.top-banner').outerHeight() + $('.header').outerHeight();
        //        //var threshold = $('.header').outerHeight();
        //        var threshold = !($('.top-banner').hasClass('hidden')) ? $('.top-banner').outerHeight() + $('.top-bar').outerHeight() - 10 : 0

        //        var fix = scroll > threshold;

        //    }
        //});

        $('.js-load-products').click(function () {
            var $shop = $('.js-shop-list');
            $(this).addClass('hidden');
            $shop.find('.loader').removeClass('hidden');

            var pageSize = parseInt($('.js-pagesize').val());
            var pageCounter = parseInt($('.js-product-load-counter').val());

            var data = {
                categoryName: $('.js-category').val(),
                pageSize: pageSize,
                pageCounter: pageCounter,
                colorId: $('.js-color').val(),
                sort: $('.js-sort').val()
            };

            $.ajax({
                type: "GET",
                cache: false,
                url: "/ShoppingCart/LoadProducts",
                data: data,
                success: function (data) {
                    $shop.find('.js-load-products').removeClass('hidden');
                    $shop.find('.loader').addClass('hidden');

                    $('.js-products').append(data);

                    var existingProductCount = pageSize * pageCounter;
                    var $sliders = $('.js-product-slider').slice(existingProductCount);
                    $sliders.slick({
                        fade: true
                    });

                    ProductItemEvents();
                    UpdateProductLinks();
                    UpdateLoadButton();

                    pageCounter += 1;
                    $('.js-product-load-counter').val(pageCounter);
                }
            });
        });

        function UpdateLoadButton() {
            var totalCount = $('.js-total-count').val();
            var currentCount = $('.js-product-item').length;

            var hideButton = totalCount == currentCount;
            $('.js-load-products').toggleClass('hidden', hideButton);
        }
    </script>

}